Subject: bug#13319: 24.2.91; emacsclient doesn't find server with nonstandard name

From: Eli Zaretskii <[email-masked]>
Date: Fri, 16 Jul 2021 14:24:05 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Fri, 16 Jul 2021 10:49:24 +0200
> Cc: Andreas Schwab <[email-masked]>, [email-masked]
> 
> >> So I think this behaves as it should.  Anybody else got another opinion?
> >
> > I don't know if something like you describe could be prevented.  If you
> > are sure that my suggestion would cause trouble, then I'm ok with
> > closing.
> 
> I think it would, but I'd like to hear whether anybody else has an
> opinion here...

I think we should fix the documentation to not say anything about "the
first available socket" there.  If the socket name is not the default
one, the user should tell emacsclient which socket to use.